JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::FunctionBlock Struct Reference
juce_midi_ci » ci

Contains information about a MIDI 2.0 function block. More...

`#include <juce_CIFunctionBlock.h>`

## Public Member Functions
bool | operator== (const FunctionBlock &other) const
bool | operator!= (const FunctionBlock &other) const

## Public Attributes
std::byte | identifier { 0x7f }
| 0x7f == no function block
uint8_t | firstGroup = 0
| The first group that is part of the block, 0-based.
uint8_t | numGroups = 1
| The number of groups contained in the block.

## Detailed Description

Contains information about a MIDI 2.0 function block.

## Member Function Documentation

## ◆ operator==()

bool juce::midi_ci::FunctionBlock::operator== | ( | const FunctionBlock & | other | ) | const

References x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::FunctionBlock::operator!= | ( | const FunctionBlock & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ identifier

std::byte juce::midi_ci::FunctionBlock::identifier { 0x7f }

0x7f == no function block

## ◆ firstGroup

uint8_t juce::midi_ci::FunctionBlock::firstGroup = 0

The first group that is part of the block, 0-based.

## ◆ numGroups

uint8_t juce::midi_ci::FunctionBlock::numGroups = 1

The number of groups contained in the block.

The documentation for this struct was generated from the following file:

- juce_CIFunctionBlock.h